% StroopDataAnalysisNew.m
clear all
close all

path=pwd;
filemat=dir([path '\Data\*.mat']);
for i=1:length(filemat)
    allresults(i) = load([path '\Data\' filemat(i).name]);
end
congacc=zeros(1,length(allresults));
incongacc=zeros(1,length(allresults));
congrt=zeros(1,length(allresults));
incongrt=zeros(1,length(allresults));
for i=1:length(allresults)
    congresp=allresults(i).results.response(allresults(i).results.word==allresults(i).results.color);
    congacc(i)=mean(congresp);
    incongresp=allresults(i).results.response(allresults(i).results.word~=allresults(i).results.color);   
    incongacc(i)=mean(incongresp);
    congreact=allresults(i).results.reactiontime(allresults(i).results.word==allresults(i).results.color);
    congrt(i)=mean(congreact(congresp==1));
    incongreact=allresults(i).results.reactiontime(allresults(i).results.word~=allresults(i).results.color);
    incongrt(i)=mean(incongreact(incongresp==1));
end
congaccmean=mean(congacc(~isnan(congacc)));congaccsd=std(congacc(~isnan(congacc)));
incongaccmean=mean(incongacc(~isnan(congacc)));incongaccsd=std(incongacc(~isnan(congacc)));
congrtmean=mean(congrt(~isnan(congacc)));congrtsd=std(congrt(~isnan(congacc)));
incongrtmean=mean(incongrt(~isnan(congacc)));incongrtsd=std(incongrt(~isnan(congacc)));

close all

f1=figure(1);
acc=subplot(2,1,1);
p=plot([congaccmean; incongaccmean]);
set(p, 'Color','k','LineStyle',':','LineWidth',2,'Marker','o',...
    'MarkerSize', 20,'MarkerEdgeColor' , 'm', 'MarkerFaceColor','c');
hold on
b = bar([congaccmean; incongaccmean]);
set(b, 'FaceColor', 'green', 'EdgeColor', 'black',  'barWidth', 0.1);
hold on
e=errorbar([1;2],[congaccmean; incongaccmean],[congaccsd; incongaccsd]);
set(e,'Color', [1 0 0], 'LineStyle', 'none', ...
    'LineWidth', 3,  'Marker', 'none');
set(acc, 'XLim', [0 3]);   
set(acc, 'YLim', [0 1.2]);    
set(acc, 'XTick', 0:1:3);
set(acc, 'YTick', [0 0.2 0.4 0.6 0.8 1.0 1.2]);
set(acc, 'XTickLabel', {'';'Congruent'; 'Incongruent';''});
set(acc, 'YTickLabel', [0 20 40 60 80 100 120]);
ylabel('Response Accuracy(%)'); 
title('StroopACC');

rt=subplot(2,1,2);
p=plot([congrtmean; incongrtmean]);
set(p, 'Color','k','LineStyle',':','LineWidth',2,'Marker','o',...
    'MarkerSize', 20,'MarkerEdgeColor' , 'm', 'MarkerFaceColor','c');
hold on
b = bar([congrtmean; incongrtmean]);
set(b, 'FaceColor', 'blue', 'EdgeColor', 'black',  'barWidth', 0.1);
hold on
e=errorbar([1;2],[congrtmean; incongrtmean],[congaccsd; incongaccsd]);
set(e,'Color', '#FF0000', 'LineStyle', 'none', ...
    'LineWidth', 3,  'Marker', 'none');

set(rt, 'XLim', [0 3]);   
set(rt, 'YLim', [0 1.2]);    
set(rt, 'XTick', 0:1:3);
set(rt, 'YTick', [0 0.2 0.4 0.6 0.8 1.0 1.2]);
set(rt, 'XTickLabel', {'';'Congruent'; 'Incongruent';''});
set(rt, 'YTickLabel', [0 200 400 600 800 1000 1200]);
ylabel('Response Time(ms)'); 
title('StroopRT');

saveas(f1,'StroopDataPlot','bmp'); 
print(f1, '-djpeg','-r600', 'StroopDataPlot');




